package es.jotraverso.resources;

import java.util.logging.Logger;

import javax.enterprise.inject.Produces;
import javax.enterprise.inject.spi.InjectionPoint;

import es.jotraverso.annotations.Bar;

public class FooResources {

	// Defautl logger producer
	@Produces
	public Logger getFooLogger(final InjectionPoint ip) {
		String category = ip.getMember().getDeclaringClass().getName();
		Logger lg = Logger.getLogger(category);
		lg.info("Returning a DEFAULT produced logger");
		return lg;
	}

	// Alternative producer
	@Produces
	@Bar
	public Logger getBarLooger(final InjectionPoint ip) {
		String category = ip.getMember().getDeclaringClass().getName();
		Logger lg = Logger.getLogger(category);
		lg.info("Returning an ALTERNATIVE produced logger");
		return lg;
	}
}
